package cn.service.atv;

import java.util.List;
import java.util.Map;
import cn.common.page.response.Result;
import cn.pojo.atv.AtvBoardCardFault;
import cn.pojo.atv.AtvBoardCardFaultFile;
import cn.pojo.atv.vo.AtvDispatchPage;
import cn.pojo.entity.TSysUser;

public interface IAtvBoardCardFaultService 
{
	/** 批量删除故障单及故障文件*/
	Long deleteFaultAndFile(Map<String,Object> whereMap);
	/**查询线路工人*/
	List<TSysUser> queryLineWorkers(String lineId);
    /**手动派单*/
    Result<?> dispatch(AtvDispatchPage atvDispatchPage);
    //编辑故障
    void updateMain(AtvBoardCardFault atvBoardCardFault, List<AtvBoardCardFaultFile> atvBoardCardFaultFileList);
   /**添加故障 一对多 */
    void saveMain(AtvBoardCardFault atvBoardCardFault, List<AtvBoardCardFaultFile> atvBoardCardFaultFileList);
}